<script setup>
import VaultItem from "@/components/VaultItem";
import StateRefresh from "@/components/StateRefresh";

import { storeToRefs } from "pinia";
import { useKhronosStore } from "@/store";

const store = useKhronosStore();
const { getActiveVaults, getClosedVaults } = storeToRefs(store);
</script>

<template>
  <div class="vaults-header">
    <h3>Active vaults</h3>
    <span> <state-refresh /></span>
  </div>
  <div class="container">
    <div class="row header">
      <div class="col">Account</div>
      <div class="col">Period</div>
      <div class="col">Percentil</div>
      <div class="col">Init. amt</div>
      <div class="col">Balances</div>
      <div class="col"></div>
    </div>
    <vault-item
      v-for="vault in getActiveVaults"
      :key="vault.publicKey"
      :vault="vault"
      open="true"
    />
  </div>
  <br />
  <h4>Closed Vaults</h4>
  <div class="container">
    <div class="row header">
      <div class="col">Account</div>
      <div class="col">Period</div>
      <div class="col">Percentil</div>
      <div class="col">Init. amt</div>
    </div>
    <vault-item
      v-for="vault in getClosedVaults"
      :key="vault.publicKey"
      :vault="vault"
    />
  </div>
</template>

<style scoped>
.header {
  font-weight: bold;
}
.vaults-header {
  width: 100%;
  margin: 5px;
}
.vaults-header span {
  position: absolute;
  right: 5px;
}
.vaults-header h3 {
    display: inline;
}
</style>
